(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[      5839,        159]
NotebookOptionsPosition[      6227,        151]
NotebookOutlinePosition[      6658,        168]
CellTagsIndexPosition[      6615,        165]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Curve di B\[EAcute]zier", "Subsection",
 CellChangeTimes->{{3.634361097413485*^9, 3.634361132894269*^9}}],

Cell[TextData[{
 "Riferimento :\nG.C. Barozzi, G. Dore, E, Obrecht :\n",
 StyleBox["Elementi di Analisi Matematica, Vol. 2",
  FontWeight->"Bold"],
 "\nZanichelli Editore, Bologna (2015), ISBN 978-88-08-43708-2 \nSezione \
17.2"
}], "Text",
 CellChangeTimes->{
  3.412533299224777*^9, {3.629029150031747*^9, 3.6290291535655947`*^9}, 
   3.629264058752448*^9, {3.629264138932662*^9, 3.629264139994092*^9}, {
   3.6292643603333187`*^9, 3.629264367313686*^9}, {3.6328930760162687`*^9, 
   3.632893101390934*^9}, {3.632893179560709*^9, 3.632893183543*^9}, {
   3.634448363349333*^9, 3.634448367931806*^9}}],

Cell[TextData[{
 "Viene tracciata a curva di B\[EGrave]zier di estremi ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["P", "0"], " ", "=", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "0"}], ")"}], "  \[NonBreakingSpace]"}], 
   TraditionalForm]],
  FormatType->"TraditionalForm"],
 "e  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["P", "3"], " ", "=", " ", 
    RowBox[{"(", 
     RowBox[{"1", ",", "0"}], ")"}], " "}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ",  con punti di controllo ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["P", "1"], TraditionalForm]]],
 " e ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["P", "2"], TraditionalForm]]],
 " a scelta dell\[CloseCurlyQuote]utente. "
}], "Text",
 CellChangeTimes->{{3.634361971025058*^9, 3.634362262618168*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`P1$$ = {
    0.1200000000000001, -0.135}, $CellContext`P2$$ = {0.238, 0.685}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`P1$$], {-1, 1}}, Automatic}, {{
       Hold[$CellContext`P2$$], {1, 1}}, Automatic}}, Typeset`size$$ = {
    360., {178., 182.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`P1$$ = {-1, 1}, $CellContext`P2$$ = {1, 
         1}}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      ParametricPlot[$CellContext`P0 $CellContext`b0[$CellContext`t] + \
$CellContext`P1$$ $CellContext`b1[$CellContext`t] + $CellContext`P2$$ \
$CellContext`b2[$CellContext`t] + $CellContext`P3 \
$CellContext`b3[$CellContext`t], {$CellContext`t, 0, 1}, PlotStyle -> {
          CMYKColor[1, 0.5, 0, 0]}, PlotRange -> {{-1.5, 1.5}, {-1.5, 1.5}}, 
        Ticks -> {
          Range[-1, 1], 
          Range[-1, 1]}, Axes -> True, AxesStyle -> Arrowheads[{0, 0.03}], 
        Epilog -> {Red, 
          Line[{{-1, 0}, $CellContext`P1$$}], 
          Line[{{1, 0}, $CellContext`P2$$}]}], 
      "Specifications" :> {{{$CellContext`P1$$, {-1, 1}}, Automatic, 
         ControlType -> Locator}, {{$CellContext`P2$$, {1, 1}}, Automatic, 
         ControlType -> Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{411., {209., 214.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`P0 = {-1, 0}, $CellContext`b0[
         Pattern[$CellContext`t, 
          Blank[]]] := (1 - $CellContext`t)^3, $CellContext`b1[
         Pattern[$CellContext`t, 
          Blank[]]] := (
         3 (1 - $CellContext`t)^2) $CellContext`t, $CellContext`b2[
         Pattern[$CellContext`t, 
          Blank[]]] := (
         3 (1 - $CellContext`t)) $CellContext`t^2, $CellContext`P3 = {1, 
        0}, $CellContext`b3[
         Pattern[$CellContext`t, 
          Blank[]]] := $CellContext`t^3}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.634448620889371*^9, 3.6344486419885178`*^9}, {
  3.6344492448955107`*^9, 3.634449263627739*^9}}],

Cell["\<\
Suggerimento: spostare col mouse i punti di controllo e osservare come si \
modifica la curva di B\[EAcute]zier .\
\>", "Text",
 CellChangeTimes->{{3.634448685478804*^9, 3.634448751387732*^9}}]
}, Open  ]]
},
WindowSize->{808, 911},
WindowMargins->{{300, Automatic}, {113, Automatic}},
FrontEndVersion->"10.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (December 4, \
2014)",
StyleDefinitions->FrontEnd`FileName[{"Report"}, "AutomatedReport.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 111, 1, 40, "Subsection"],
Cell[1600, 38, 602, 12, 106, "Text"],
Cell[2205, 52, 828, 29, 51, "Text"],
Cell[3036, 83, 2969, 59, 432, "Output"],
Cell[6008, 144, 203, 4, 30, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature yupp7hyWDLvqCDgolAu4NAzH *)
